<div class="tab-pane" id="tab2">
    <div class="example-box-wrapper">
        <div class="row" style="overflow-x: scroll;">
            <div class=" pull-right">
                <button type="button" class="btn btn-sm btn-danger" onclick="exportpdf()"><i class="glyph-icon icon-file-pdf-o"></i> EXPORT TO PDF</button>
                <button type="button" class="btn btn-sm btn-success" onclick="exportexcel()"><i class="glyph-icon icon-file-excel-o"></i> EXPORT TO EXCEL</button>
            </div>
            <table class="table table-condensed table-bordered table-striped table-hover cf tableDaftar" style="font-size: 11px; color: black;">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            No.
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            #<br>Perintah
                        </th>      
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            No. SPTPD
                        </th>      
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Tgl. Pendataan
                        </th>             
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Nama WP
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            NIOP
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Nama Objek
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Masa_Pajak
                        </th>
                        <?php
                        if ($idjenis == 4):
                            ?>
                            <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                                Nama Naskah
                            </th>
                            <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                                Lokasi Pemasangan
                            </th>
                            <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                                Kelurahan
                            </th>
                            <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                                Kecamatan
                            </th>
                            <?php
                        endif;
                        ?>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Rekening
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Jumlah Pajak (Rp.)
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Kode Bayar
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Pelaporan Dari
                        </th>  
                    </tr>
                    <tr class="bg-default">
                        <td></td>
                        <td><select id="t_statusbayar_cari_1" class="form-control input-sm" onchange="calldatagrid1()">
                                <option value="">--ALL--</option>
                                <option value="1">LUNAS</option>
                                <option value="2">BELUM</option>
                            </select></td>
                        <td><input type="text" id="t_nourut_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><input type="text" id="t_tglpendataan_cari_1" class="form-control input-sm" onchange="calldatagrid1()"></td>
                        <td><input type="text" id="t_npwpd_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><input type="text" id="t_nama_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><input type="text" id="t_niop_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><input type="text" id="t_namaobjek_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><input type="text" id="t_masapajak_cari_1" class="form-control input-sm" onchange="calldatagrid1()"></td>
                        <?php if ($idjenis == 4): ?>
                            <td><input type="text" id="t_namanaskah_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                            <td><input type="text" id="t_lokasipemasangan_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                            <td><input type="text" id="t_kelurahanop_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                            <td><input type="text" id="t_kecamatanop_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <?php endif; ?>
                        <td></td>
                        <td><input type="text" id="t_jmlhpajak_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><input type="text" id="t_kodebayar_cari_1" class="form-control input-sm" onkeyup="calldatagrid1()"></td>
                        <td><select id="t_pelaporan_cari_1" class="form-control input-sm" onchange="calldatagrid1()">
                                <option value="">-ALL-</option>
                                <option value="1">E-SPTPD</option>
                                <option value="2">SIMPATDA</option>
                            </select></td>
                    </tr>
                </thead>
                <tbody id="body_grid1">
                </tbody>
                <tfoot>              
                    <tr>
                        <td colspan="17" class="text-center">
                            <div class="row">
                                <div class="col-sm-3 text-left">
                                    <span class="hiddene">
                                        <select id="rows1" class="form-control" style="width: 30%" onchange="calldatagrid1(1)">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </span>
                                </div>
                                <div class="col-sm-6" style="text-align: center">
                                    <center>
                                        <div id="paginatore1"></div>
                                        <input type="hidden" id="s_idjenis" value="<?= $s_idjenis ?>">
                                        <input type="hidden" id="page1" value="1">
                                    </center>
                                </div>
                                <div class="col-sm-3 text-right">
                                    <span class="hiddene">
                                        <p>
                                            <b style="font-size: 13px; color: orangered"><span id="awaldata1"></span> s/d <span id="akhirdata1"></span> Dari <span id="total_data1"></span> Data</b>
                                        </p>  
                                    </span>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakSPTPD" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class="glyph-icon icon-print"></i> <b>CETAK SPTPD</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Pendataan
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idtransaksi" id="idtransaksi">
                                <input type="text" class="form-control" name="tglketetapan" id="tglketetapan" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Jenis Pajak
                            </label>
                            <div class="col-md-6">
                                <input type="hidden" name="idjenispajak" id="idjenispajak">
                                <input type="text" class="form-control" name="jenispajak" id="jenispajak" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="namawp" id="namawp" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwp" id="alamatwp" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama OP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namaop" id="namaop" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat OP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatop" id="alamatop" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal" style="display:block;">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttd" id="ttd" class="form-control">
                                    <option value=""> ---- </option>
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetaksptpd()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakSPTPD()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakSKPD" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK SKPD</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Pendataan
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idtransaksiskpd" id="idtransaksiskpd">
                                <input type="text" class="form-control" name="tglpendataanskpd" id="tglpendataanskpd" readonly>
                                <input type="hidden" class="form-control" name="tglketetapanskpd" id="tglketetapanskpd" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Jenis Pajak
                            </label>
                            <div class="col-md-9">
                                <input type="hidden" name="idjenispajakskpd" id="idjenispajakskpd">
                                <input type="text" class="form-control" name="jenispajakskpd" id="jenispajakskpd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namawpskpd" id="namawpskpd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwpskpd" id="alamatwpskpd" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama OP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namaopskpd" id="namaopskpd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat OP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatopskpd" id="alamatopskpd" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttdskpd" id="ttdskpd" class="form-control">
                                    <option value=""> ---- </option>
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetakskpd()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakSKPD()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakSKRD" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK SKRD</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Pendataan
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idtransaksiskrd" id="idtransaksiskrd">
                                <input type="text" class="form-control" name="tglketetapanskrd" id="tglketetapanskrd" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WR
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namawpskrd" id="namawpskrd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WR
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwpskrd" id="alamatwpskrd" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama OR
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namaopskrd" id="namaopskrd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat OR
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatopskrd" id="alamatopskrd" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Jenis Retribusi
                            </label>
                            <div class="col-md-6">
                                <input type="hidden" name="idjenispajakskrd" id="idjenispajakskrd">
                                <input type="text" class="form-control" name="jenispajakskrd" id="jenispajakskrd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttdskrd" id="ttdskrd" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetakskrd()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakSKRD()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakNPPD" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK NPPD</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Pendataan
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idwpobjeknppd" id="idwpobjeknppd">
                                <input type="text" class="form-control" name="tglketetapannppd" id="tglketetapannppd" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Jenis Pajak
                            </label>
                            <div class="col-md-9">
                                <input type="hidden" name="idjenispajaknppd" id="idjenispajaknppd">
                                <input type="text" class="form-control" name="jenispajaknppd" id="jenispajaknppd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namawpnppd" id="namawpnppd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwpnppd" id="alamatwpnppd" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama OP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namaopnppd" id="namaopnppd" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat OP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatopnppd" id="alamatopnppd" readonly=""></textarea>
                            </div>
                        </div>
                        <!--<div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttdnppd" id="ttdnppd" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>-->
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetaknppd()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakNPPD()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        $('#t_tglpendataan_cari_1').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid1();
        });
    });

    $(function () {
        $('#t_masapajak_cari_1').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid1();
        });
    });

    $(function () {
        calldatagrid1();
    });

    function calldatagrid1(direction) {
        datagridsudah($("#s_idjenis").val(), $("#page1").val(), $("#rows1").val(), direction);
    }

    function datagridsudah(s_idjenis, pagesudah, row, direction) {
        $.post('<?= $this->url() ?>/dataGridSudah/' + s_idjenis + '/' + pagesudah + '/' + row + '/' + direction, {
            t_nourut: $('#t_nourut_cari_1').val(),
            t_tglpendataan: $('#t_tglpendataan_cari_1').val(),
            t_npwpd: $('#t_npwpd_cari_1').val(),
            t_nama: $('#t_nama_cari_1').val(),
            t_niop: $('#t_niop_cari_1').val(),
            t_namaobjek: $('#t_namaobjek_cari_1').val(),
            t_namanaskah: $('#t_namanaskah_cari_1').val(),
            t_lokasipemasangan: $('#t_lokasipemasangan_cari_1').val(),
            t_masapajak: $('#t_masapajak_cari_1').val(),
            t_rekening: $('#t_rekening_cari_1').val(),
            t_jmlhpajak: $('#t_jmlhpajak_cari_1').val(),
            t_kodebayar: $('#t_kodebayar_cari_1').val(),
            t_statusbayar: $('#t_statusbayar_cari_1').val(),
            t_pelaporan: $('#t_pelaporan_cari_1').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid1").html(aa.gridsudah);
            $("#rows1").val(aa.rowssudah);
            $("#page1").val(aa.pagesudah);
            $("#total_data1").html(": " + aa.countsudah);
            $("#total_halaman1").html(": " + aa.total_halamansudah);
            $("#paginatore1").html(aa.paginatoresudah);
            $("#awaldata1").html(aa.awaldatasudah);
            $("#akhirdata1").html(aa.akhirdatasudah);
        });
    }

    function cetakdaftarreklame() {
        var direction = 0;
        if ($("#combocari1").val().length == 0)
            par1 = undefined;
        else
            par1 = $("#combocari1").val()
        if ($("#kolomcari1").val().length == 0)
            par2 = undefined;
        else
            par2 = $("#kolomcari1").val()
        if ($("#combosorting1").val().length == 0)
            par3 = undefined;
        else
            par3 = $("#combosorting1").val()
        if (document.getElementById("sortasc1").checked)
            par4 = $("#sortasc1").val()
        else
            par4 = undefined;
        if (document.getElementById("sortdesc1").checked)
            par5 = $("#sortdesc1").val()
        else
            par5 = undefined;
        if ($("#combooperator1").val().length == 0)
            par6 = undefined;
        else
            par6 = $("#combooperator1").val()
        daftarreklame($("#s_idjenis").val(), $("#page1").val(), $("#rows1").val(), direction, par1, par2, par3, par4, par5, par6);
    }

    function daftarreklame(s_idjenis, pagesudah, row, direction, par1, par2, par3, par4, par5, par6) {
        window.open('<?= $this->url() ?>/cetakdaftarreklame/' + s_idjenis + '/' + pagesudah + '/' + row + '/' + direction + '/' + par1 + '/' + par2 + '/' + par3 + '/' + par4 + '/' + par5 + '/' + par6);
    }

    function hapus(a) {
        var tanya = confirm("Yakin anda akan Hapus data ini?")
        if (tanya) {
            $.post('<?= $this->url() ?>/hapus/' + a);
        }
        setTimeout(function () {
            calldatagrid1();
        }, 1000);
    }

    function bukaCetakSPTPD(a) {
        $.post('<?= $this->url() ?>/dataPendataan', {idtransaksi: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idtransaksi").val(aa.idtransaksi);
            $("#namawp").val(aa.namawp);
            $("#alamatwp").val(aa.alamatwp);
            $("#namaop").val(aa.namaop);
            $("#alamatop").val(aa.alamatop);
            $("#tglketetapan").val(aa.tglketetapan);
            $("#jenispajak").val(aa.jenispajak);
            $("#idjenispajak").val(aa.idjenispajak);
        });
        $('#modalCetakSPTPD').modal('show');
    }

    function tutupCetakSPTPD() {
        $('#modalCetakSPTPD').modal('hide');
    }

    function cetaksptpd() {
        var a = document.getElementById('idjenispajak').value;
        if (a === '1') { // Pajak Hotel
            window.open('<?= $this->url() ?>/cetaksptpdhotel?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '2') { // Pajak Restoran
            window.open('<?= $this->url() ?>/cetaksptpdrestoran?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '3') { // Pajak Hiburan
            window.open('<?= $this->url() ?>/cetaksptpdhiburan?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '4') { // Pajak Reklame
            window.open('<?= $this->url() ?>/cetaksptpdreklame?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '5') { // Pajak PPJ
            window.open('<?= $this->url() ?>/cetaksptpdppj?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '6') { // Pajak Minerba
            window.open('<?= $this->url() ?>/cetaksptpdminerba?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '7') { // Pajak Parkir
            window.open('<?= $this->url() ?>/cetaksptpdparkir?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '8') { // Pajak ABT
            window.open('<?= $this->url() ?>/cetaksptpdabt?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        } else if (a === '9') { // Pajak Walet
            window.open('<?= $this->url() ?>/cetaksptpdwalet?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd").val());
        }
    }

    function bukaCetakSKPD(a) {
        $.post('<?= $this->url() ?>/dataPendataan', {idtransaksi: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idtransaksiskpd").val(aa.idtransaksi);
            $("#namawpskpd").val(aa.namawp);
            $("#alamatwpskpd").val(aa.alamatwp);
            $("#namaopskpd").val(aa.namaop);
            $("#alamatopskpd").val(aa.alamatop);
            $("#tglpendataanskpd").val(aa.tglpendataan);
            $("#tglketetapanskpd").val(aa.tglketetapan);
            $("#jenispajakskpd").val(aa.jenispajak);
            $("#idjenispajakskpd").val(aa.idjenispajak);
        });
        $('#modalCetakSKPD').modal('show');
    }

    function tutupCetakSKPD() {
        $('#modalCetakSKPD').modal('hide');
    }

    function cetakskpd() {
        if($('#tglketetapanskpd').val() === ''){
            alert('SKPD Belum Bisa dicetak, dikarenakan belum ditetapkan!');
        }else{
            var a = document.getElementById('idjenispajakskpd').value;
            window.open('<?= $this->url() ?>/cetakskpd?idtransaksi=' + $("#idtransaksiskpd").val() + "&jenisobjek=" + a + "&ttd0=" + $("#ttdskpd").val());
        }
    }

    function bukaCetakSKRD(a) {
        $.post('<?= $this->url() ?>/dataPendataan', {idtransaksi: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idtransaksiskrd").val(aa.idtransaksi);
            $("#namawpskrd").val(aa.namawp);
            $("#alamatwpskrd").val(aa.alamatwp);
            $("#namaopskrd").val(aa.namaop);
            $("#alamatopskrd").val(aa.alamatop);
            $("#tglketetapanskrd").val(aa.tglketetapan);
            $("#jenispajakskrd").val(aa.jenispajak);
            $("#idjenispajakskrd").val(aa.idjenispajak);
        });
        $('#modalCetakSKRD').modal('show');
    }

    function tutupCetakSKRD() {
        $('#modalCetakSKRD').modal('hide');
    }

    function cetakskrd() {
        var a = document.getElementById('idjenispajakskrd').value;
        window.open('<?= $this->url() ?>/cetakskrd?idtransaksi=' + $("#idtransaksiskrd").val() + "&jenisobjek=" + a + "&ttd0=" + $("#ttdskrd").val());
    }

    function bukaCetakNPPD(a) {
        $.post('<?= $this->url() ?>/dataPendataan', {idtransaksi: a}, function (data) {
            var aa = JSON.parse(data);
            $("#namawpnppd").val(aa.namawp);
            $("#alamatwpnppd").val(aa.alamatwp);
            $("#tglketetapannppd").val(aa.tglketetapan);
            $("#jenispajaknppd").val(aa.jenispajak);
            $("#idwpobjeknppd").val(aa.t_idobjek);
            $("#idjenispajaknppd").val(aa.idjenispajak);
        });
        $('#modalCetakNPPD').modal('show');
    }

    function tutupCetakNPPD() {
        $('#modalCetakNPPD').modal('hide');
    }

    function cetaknppd() {
        var a = document.getElementById('idjenispajaknppd').value;
        console.log(a);
        if (a === '1' || a === '2' || a === '3' || a === '5' || a === '6' || a === '7' || a === '9') { // Self Assesment
            window.open('<?= $this->url() ?>/cetaknppdself?idwpobjeknppd=' + $("#idwpobjeknppd").val() + "&ttd0=" + $("#ttd0nppd").val());
        } else if (a === '4' || a === '8') { // Pajak ABT
            window.open('<?= $this->url() ?>/cetaknppdofficial?idwpobjeknppd=' + $("#idwpobjeknppd").val() + "&ttd0=" + $("#ttdnppd").val());
        }
    }

    function exportpdf() {
        window.open('<?= $this->url() ?>/cetakexportpendataan?t_nourut=' + $('#t_nourut_cari_1').val()
            + "&t_tglpendataan=" + $('#t_tglpendataan_cari_1').val()
            + "&t_npwpd=" + $('#t_npwpd_cari_1').val()
            + "&t_nama=" + $('#t_nama_cari_1').val()
            + "&t_niop=" + $('#t_niop_cari_1').val()
            + "&t_namaobjek=" + $('#t_namaobjek_cari_1').val()
            + "&t_lokasipemasangan=" + $('#t_lokasipemasangan_cari_1').val()
            + "&t_masapajak=" + $('#t_masapajak_cari_1').val()
            + "&t_jmlhpajak=" + $('#t_jmlhpajak_cari_1').val()
            + "&t_kodebayar=" + $('#t_kodebayar_cari_1').val()
            + "&t_statusbayar=" + $('#t_statusbayar_cari_1').val()
            + "&t_pelaporan=" + $('#t_pelaporan_cari_1').val() 
            + "&s_idjenis=" + $('#s_idjenis').val() 
            + "&formatcetak=pdf");
    }

    function exportexcel() {
        window.open('<?= $this->url() ?>/cetakexportpendataan?t_nourut=' + $('#t_nourut_cari_1').val()
            + "&t_tglpendataan=" + $('#t_tglpendataan_cari_1').val()
            + "&t_npwpd=" + $('#t_npwpd_cari_1').val()
            + "&t_nama=" + $('#t_nama_cari_1').val()
            + "&t_niop=" + $('#t_niop_cari_1').val()
            + "&t_namaobjek=" + $('#t_namaobjek_cari_1').val()
            + "&t_lokasipemasangan=" + $('#t_lokasipemasangan_cari_1').val()
            + "&t_masapajak=" + $('#t_masapajak_cari_1').val()
            + "&t_jmlhpajak=" + $('#t_jmlhpajak_cari_1').val()
            + "&t_kodebayar=" + $('#t_kodebayar_cari_1').val()
            + "&t_statusbayar=" + $('#t_statusbayar_cari_1').val()
            + "&s_idjenis=" + $('#s_idjenis').val() 
            + "&t_pelaporan=" + $('#t_pelaporan_cari_1').val() + "&formatcetak=excel");
    }
</script>
<style type="text/css">
    .combooperatorsudahc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
	.tableDaftar {
        width: 100%;
        border-collapse: collapse;
    }
    .tableDaftar tr:hover {
        background: #edf968; 
    }
    .tableDaftar td {
        border: 1px solid #eee;
    }
    .highlight_row {
        background: #eee;
    }
</style>
